/****************************************************************
 * Copyright (C) 2005 LAMS Foundation (http://lamsfoundation.org)
 * =============================================================
 * License Information: http://lamsfoundation.org/licensing/lams/2.0/
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2.0 
 * as published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 * 
 * http://www.gnu.org/licenses/gpl.txt
 * ****************************************************************
 */

/* $$Id: ISubmissionDetailsDAO.java,v 1.8 2006/04/06 06:41:33 fmalikoff Exp $$ */	

package org.lamsfoundation.lams.tool.behaviourComposer.dao;

import java.util.List;

import org.lamsfoundation.lams.dao.IBaseDAO;
import org.lamsfoundation.lams.tool.behaviourComposer.SubmissionDetails;
import org.lamsfoundation.lams.tool.behaviourComposer.BehaviourComposerSession;

/**
 * @author Manpreet Minhas
 */
public interface ISubmissionDetailsDAO extends IBaseDAO {
	
	/**
	 * Returns a <code>SubmissionDetails</code> object 
	 * corresponding to given <code>submissionID</code>
	 * 
	 * @param submissionID The submission_id to be looked up
	 * @return SubmissionDetails The required populated object
	 */
	public SubmissionDetails getSubmissionDetailsByID(Long submissionID);
	
	public List getUsersForSession(Long contentID);

	/**
	 * Save or update the given <code>BehaviourComposerSession</code> value.
	 * @param session
	 */
	public void saveOrUpdate(BehaviourComposerSession session);

	/**
	 * @param sessionID
	 * @return
	 */
	public List getSubmissionDetailsBySession(Long sessionID);
}
